<?php
    /*
    * copyright (c) 2013-2021 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    */
?>

    <h4 class="mb-4 title">Audio</h4>
    <div class="row" >
        <div class="table-responsive p-1">
            <?php
                $colonne     = array("Nome","Percorso","Ascolta","");
                $tabella     = new Tabella("tabella", "table table-striped table-hover",$colonne);
                $elencoAudio = $gestoreUploadFileMultimediali->fileCartella("audio");

                foreach($elencoAudio as $fileAudio) {
                    if($fileAudio != ".." && $fileAudio !=".") {
                        $azioni = array("elimina"=>"apriPopupEliminaFile('fileAudio{$fileAudio}','../file/audio/{$fileAudio}')");
                        $tabella->aggiungiNuovaRiga(array($fileAudio,"../file/audio/$fileAudio","<audio src=\"../file/audio/$fileAudio\" controls ></audio>",),$azioni);
                    }
                }
                $tabella->stampa("fileAudio",0);
            ?>
        </div>
    </div>